
/* + C O P Y R I G H T * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* See top source directory for COPYRIGHT.txt                              */
/* Copyright 2002-2003 by Mark Wolgemuth, All rights reserved.             */
/* Copyright 2002-2003 by Employease, Inc.  All rights reserved.           */
/* - C O P Y R I G H T * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include "ath_util.h"

#ifdef HAVE_PTHREAD_H

#include <pthread.h>

apr_status_t
pthread_mutex_cleanup(void *mtx)
{
    pthread_mutex_t *mutex;
    ASSERT(mtx);
    mutex = mtx;
    return pthread_mutex_destroy(mutex);
}
    
apr_status_t
pthread_cond_cleanup(void *cond)
{
    pthread_cond_t *mycond;
    ASSERT(cond);
    mycond = cond;
    return pthread_cond_destroy(mycond);
}

#endif /* HAVE_PTHREAD_H */    
